/* Based on Cosmo from Bootswatch (http://bootswatch.com/cosmo/) */
@import url("https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700");

/* document body (contains all content) */
body {
    font-family: "Source Sans Pro", Calibri, Candara, Arial, sans-serif;
    font-size: 20px;
    line-height: 1.6;
    color: #333333;
    background-color: #ffffff;
    margin-left: 5%;
    margin-right: 5%;
}

/* document header (contains title etc) */
#header {
    width: 100%;
}

#header > h1 {
    border-bottom: 1px solid #ddddd8;
    padding-bottom: 8px;
}

/* headings */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Source Sans Pro", Calibri, Candara, Arial, sans-serif;
    font-weight: 300;
    line-height: 1.1;
    color: inherit;
}

h1,
h2,
h3 {
    margin-top: 21px;
    margin-bottom: 10.5px;
}

h4,
h5,
h6 {
    margin-top: 10.5px;
    margin-bottom: 10.5px;
}

h1 {
    /*   font-size: 39px; */
    font-size: 3em;
}

h2 {
    font-size: 32px;
}

h3 {
    font-size: 26px;
}

h4 {
    font-size: 19px;
}

h5 {
    font-size: 15px;
}

h6 {
    font-size: 13px;
}

/* plain paragraph text */
.paragraph {
    /*   font-family: sans-serif; */
    margin: 0 0 10.5px;
}

p {
    /*   font-family: sans-serif; */
    margin: 0 0 10.5px;
}

/* blockquote text */
.quoteblock {
    font-style: italic;
}

blockquote {
    padding: 10.5px 21px;
    margin: 0 0 21px;
    font-size: 18.75px;
    border-left: 5px solid #e6e6e6;
}

blockquote p:last-child,
blockquote ul:last-child,
blockquote ol:last-child {
    margin-bottom: 0;
}

.blockquote-reverse,
blockquote.pull-right {
    padding-right: 15px;
    padding-left: 0;
    border-right: 5px solid #e6e6e6;
    border-left: 0;
    text-align: right;
}

.blockquote-reverse footer:before,
blockquote.pull-right footer:before,
.blockquote-reverse small:before,
blockquote.pull-right small:before,
.blockquote-reverse .small:before,
blockquote.pull-right .small:before {
    content: '';
}

.blockquote-reverse footer:after,
blockquote.pull-right footer:after,
.blockquote-reverse small:after,
blockquote.pull-right small:after,
.blockquote-reverse .small:after,
blockquote.pull-right .small:after {
    content: '\00A0 \2014';
}

/* the quotation mark itself (before the block) */
.quoteblock blockquote::before {
    color: blue;
}

/* blockquote attribution text */
.attribution,
.cite,
blockquote footer,
blockquote small,
blockquote .small {
    display: block;
    font-style: normal;
    line-height: 1.42857143;
    color: #999999;
}

.attribution:before,
blockquote footer:before,
blockquote small:before,
blockquote .small:before {
    content: '\2014 \00A0';
}

/* unordered list */
ul, ol {
    margin-top: 0;
    margin-bottom: 10.5px;
}

ul ul,
ol ul,
ul ol,
ol ol {
    margin-bottom: 0;
}

/* links */
a {
    color: #2780e3;
    text-decoration: none;
}

a:hover,
a:focus {
    color: #165ba8;
    text-decoration: underline;
}

a:focus {
    outline: 5px auto -webkit-focus-ring-color;
    outline-offset: -2px;
}

/* horizontal rules */
hr {
    margin-top: 21px;
    margin-bottom: 21px;
    border: 0;
    border-top: 1px solid #e6e6e6;
}

/* table */
table {
    background-color: transparent;
    width: 100%;
    max-width: 100%;
    margin-bottom: 21px;
    border-collapse: collapse;
}

table col[class*="col-"] {
    position: static;
    float: none;
    display: table-column;
}

table td[class*="col-"],
table th[class*="col-"] {
    position: static;
    float: none;
    display: table-cell;
}

/* table caption */
caption {
    padding-top: 8px;
    padding-bottom: 8px;
    color: #999999;
    text-align: left;
}

/* table header row */
thead {
    border-bottom: 2px solid #dddddd;
}

/* table header cell */
th {
    text-align: left;
    padding-left: 8px;
}

/* table footer */
tfoot {
    color: #807F81;
    border-top: 1px solid #dddddd;
}

/* table cell */
td {
    border-top: 1px solid #dddddd;
}

td p {
    margin: auto;
    padding: 8px;
}

/* table body */
tbody > tr:nth-of-type(odd) {
    background-color: #f9f9f9;
}

/* inline code */
code,
kbd,
pre,
samp {
    font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
}

code {
    padding: 2px 4px;
    font-size: 90%;
    color: #333333;
    background-color: #f5f5f5;
    border-radius: 0;
}

kbd {
    padding: 2px 4px;
    font-size: 90%;
    color: #ffffff;
    background-color: #333333;
    border-radius: 0;
    -webkit-box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.25);
    box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.25);
}

kbd kbd {
    padding: 0;
    font-size: 100%;
    font-weight: bold;
    -webkit-box-shadow: none;
    box-shadow: none;
}

pre {
    display: block;
    padding: 10px;
    margin: 0 0 10.5px;
    font-size: 14px;
    line-height: 1.42857143;
    word-break: break-all;
    word-wrap: break-word;
    color: #333333;
    background-color: #f5f5f5;
    border: 1px solid #cccccc;
    border-radius: 0;
}

pre code {
    padding: 0;
    font-size: inherit;
    color: inherit;
    white-space: pre-wrap;
    background-color: transparent;
    border-radius: 0;
}

/* image */
img {
    max-width: 100%;
    vertical-align: middle;
}

/* footer section */
#footer {
    margin-top: 22px;
    padding: 14px 16px;
    color: white;
    background-color: #222222;
}

/* responsiveness fixes */
video {
    max-width: 100%;
}

/* table of Contents sidebar */
#toctitle {
    color: white;
}

#toc ul {
    display: inline;
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

#toc li {
    display: block;
}

#toc a {
    background-color: #2780e3;
    float: left;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

#toc li a:hover {
    background-color: #1967be;
    text-decoration: none;
}

#toc:after {
    content: " ";
    visibility: hidden;
    display: block;
    height: 0;
    clear: both;
}

@media all and (max-width: 600px) {
    table {
        width: 55vw !important;
        font-size: 3vw;
    }
}
